<?xml version="1.0"?>
<!DOCTYPE hibernate-mapping PUBLIC "-//Hibernate/Hibernate Mapping DTD//EN" "http://www.hibernate.org/dtd/hibernate-mapping-3.0.dtd">
<hibernate-mapping package="com.ifish.entity">
	<class name="ShopsInfo" table="tbl_shops_info" dynamic-insert="true" dynamic-update="true">
		<meta attribute="sync-DAO">false</meta>
		<id name="shopsId" column="shops_id" type="java.lang.Integer">
			<generator class="identity"/>
		</id>
		<property 	name="userId" 			column="user_id"	 		unique="true" 		type="java.lang.Integer"   not-null="true"/>
		<property 	name="userName" 		column="user_name"	 		type="string" 		length="20" />
		<property 	name="shopsName"		column="shops_name" 		type="string" 		length="50" />
		<property 	name="shopsPhone" 		column="shops_phone"	 	type="string" 		length="20" />
		<property 	name="shopsProvince" 	column="shops_province"	 	type="string" 		length="30" />
		<property 	name="shopsCity" 		column="shops_city"	 		type="string" 		length="30" />
		<property 	name="shopsArea" 		column="shops_area"	 		type="string" 		length="30" />
		<property 	name="shopsAddress" 	column="shops_address"	 	type="string" 		length="100" />
		<property 	name="picture1" 		column="picture1"	 		type="string" 		length="20" />
		<property 	name="picture2" 		column="picture2"	 		type="string" 		length="20" />
		<property 	name="picture3" 		column="picture3"	 		type="string" 		length="20" />
		<property 	name="picture4" 		column="picture4"	 		type="string" 		length="20" />
		<property 	name="status" 			column="status"	 			type="string" 		length="1" />
		<property 	name="appShow" 			column="app_show"	 		type="string" 		length="1" />
		<property 	name="reason" 			column="reason"	 			type="string" 		length="100" />
		<property 	name="updateTime" 		column="update_time" 		type="timestamp" />
		<property 	name="createTime"		column="create_time" 		type="timestamp" />
		<property 	name="typeKey" 			column="type_key"	 		type="string" 		length="20" />
		<property 	name="remark" 			column="remark"	 			type="string" 		length="50" />
		<property 	name="weixinCode" 		column="weixin_code"	 	type="string" 		length="50" />
		<property 	name="shopLink" 		column="shop_link"	 		type="string" 		length="200" />
	</class>
</hibernate-mapping>